# Generated by Django 4.1.7 on 2023-04-06 20:36

from beertender_api.models.bar_counter import BarCounter
from beertender_api.models.beer_reference import BeerReference
from beertender_api.models.stock import Stock
from django.db import migrations


def create_stocks(apps, schema_editor):
    beer_refs = BeerReference.objects.all()
    bar_counters = BarCounter.objects.all()

    ref1 = Stock()
    ref1.stock = 10
    ref1.beer_ref = beer_refs[0]
    ref1.bar_counter = bar_counters[0]
    ref1.save()

    ref2 = Stock()
    ref2.stock = 0
    ref2.beer_ref = beer_refs[1]
    ref2.bar_counter = bar_counters[0]
    ref2.save()

    ref3 = Stock()
    ref3.stock = 15
    ref3.beer_ref = beer_refs[2]
    ref3.bar_counter = bar_counters[0]
    ref3.save()

    ref4 = Stock()
    ref4.stock = 0
    ref4.beer_ref = beer_refs[0]
    ref4.bar_counter = bar_counters[1]
    ref4.save()

    ref5 = Stock()
    ref5.stock = 16
    ref5.beer_ref = beer_refs[1]
    ref5.bar_counter = bar_counters[1]
    ref5.save()

    ref6 = Stock()
    ref6.stock = 12
    ref6.beer_ref = beer_refs[2]
    ref6.bar_counter = bar_counters[1]
    ref6.save()


class Migration(migrations.Migration):
    dependencies = [
        ('beertender_api', '0007_stock'),
    ]

    operations = [
        migrations.RunPython(create_stocks, migrations.RunPython.noop)
    ]
